## e-html-editor-link-popover e-html-editor-link-popover |

## Functions

GtkWidget * | e_html_editor_link_popover_new ()
void | e_html_editor_link_popover_popup ()

## Types and Values

#define | E_TYPE_HTML_EDITOR_LINK_POPOVER
| EHTMLEditorLinkPopover

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkPopover
                            ╰── EHTMLEditorLinkPopover

## Implemented Interfaces

EHTMLEditorLinkPopover implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### e_html_editor_link_popover_new ()

    GtkWidget *
    e_html_editor_link_popover_new (EHTMLEditor *editor);

Created a new popover to add/edit links into the `editor` .

#### Parameters

editor | an EHTMLEditor |

#### Returns

a new EHTMLEditorLinkPopover.

[transfer full]

Since: 3.52

### e_html_editor_link_popover_popup ()

    void
    e_html_editor_link_popover_popup (EHTMLEditorLinkPopover *self);

Pops up the link popover pointing to the editor's caret position, if it's known.

#### Parameters

self | an EHTMLEditorLinkPopover |

Since: 3.52

## Types and Values

### E_TYPE_HTML_EDITOR_LINK_POPOVER

    #define E_TYPE_HTML_EDITOR_LINK_POPOVER (e_html_editor_link_popover_get_type ())

### EHTMLEditorLinkPopover

    typedef struct _EHTMLEditorLinkPopover EHTMLEditorLinkPopover;